=== debian/changelog ===
triggerhappy (0.3.4-2) unstable; urgency=low

  * beautify packaging information
  * First upload to Debian (Closes: #603842)

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Wed, 13 Apr 2011 21:02:29 +0200

triggerhappy (0.3.4-1) unstable; urgency=low

  * fix segfault when dumping non-key events
  * update udev rules (SYSFS->ATTRS)

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Wed, 09 Mar 2011 14:50:48 +0100

triggerhappy (0.3.3-1) unstable; urgency=low

  [ Stefan Tomanek ]
  * add licence headers to source files
  * increase version to 0.3.3

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Mon, 14 Feb 2011 13:15:54 +0100

triggerhappy (0.3.2-1) unstable; urgency=low

  * increase version to 0.3.2
  * various bugfixes and code cleanups

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Tue, 21 Dec 2010 13:16:52 +0100

triggerhappy (0.3.1-1) unstable; urgency=low

  * introduce CMD_NOP to ensure type safety
  * increase version number to 0.3.1
  * modify package description

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Sat, 18 Dec 2010 15:00:06 +0100

triggerhappy (0.3.0-1) unstable; urgency=low

  * rework config file parser
  * improve error detection for modifiers
  * improve error reporting
  * improve dropping of privileges
  * allow tagging of devices
  * new upstream version 0.3.0

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Fri, 10 Dec 2010 11:14:00 +0100

triggerhappy (0.2.1-1) unstable; urgency=low

  * fix segmentation fault when handling comment lines

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Mon, 06 Dec 2010 02:04:31 +0100

triggerhappy (0.2.0-1) unstable; urgency=low

  * optionally grab the device exclusively
  * add uinput support for generating synthetic events
  * update udev rule
  * add version information into build

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Mon, 06 Dec 2010 01:15:00 +0100

triggerhappy (0.1.6-2) unstable; urgency=low

  * change manpage sections according to "man 7 man-pages"
  * drop root privileges by default

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Mon, 22 Nov 2010 09:12:18 +0100

triggerhappy (0.1.6-1) unstable; urgency=low

  * fix typo in changelog
  * suppress mode change message on startup
  * ignore the triggering key while checking modifier

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Sun, 21 Nov 2010 22:17:50 +0100

triggerhappy (0.1.5-1) unstable; urgency=low

  * add "mode" support
  * make trigger mode changeable through th-cmd
  * try to autodetect the location of <linux/input.h>

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Thu, 18 Nov 2010 15:36:06 +0100

triggerhappy (0.1.4-1) unstable; urgency=low

  [ Eduard Bloch ]
  * Minor modifications for better code safety

  [ Stefan Tomanek ]
  * update th-cmd cmdline parsing and add --clear
  * make --dump print skeleton lines for trigger conf
  * fix "Provides" in init script
  * fix typos in man page
  * fix description
  * add debian/watch

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Thu, 18 Nov 2010 01:24:22 +0100

triggerhappy (0.1.3-1) unstable; urgency=low

  * drop root with --user <name>
  * use sendmsg/recvmsg for socket communication
  * send opened fd from th-cmd to daemon
  * enhance init script and default config

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Fri, 29 Oct 2010 21:06:12 +0200

triggerhappy (0.1.2-1) unstable; urgency=low

  * autogenerate event mapping table
  * add --listevents to list known event names

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Thu, 28 Oct 2010 15:04:30 +0200

triggerhappy (0.1.1-1) unstable; urgency=low

  * fix off-by-one error in conf file filtering routine

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Wed, 27 Oct 2010 16:49:16 +0200

triggerhappy (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Stefan Tomanek <stefan.tomanek+th@wertarbyte.de>  Sat, 23 Oct 2010 10:59:38 +0200
