=== debian/control ===
Source: triggerhappy
Section: utils
Priority: extra
Maintainer: Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://github.com/wertarbyte/triggerhappy
Vcs-Git: git://github.com/wertarbyte/triggerhappy.git
Vcs-Browser: http://github.com/wertarbyte/triggerhappy

Package: triggerhappy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: global hotkey daemon for Linux
 Triggerhappy watches connected input devices for certain key presses
 or other input events and runs administrator-configured
 commands when they occur. Unlike other hotkey daemons, it runs as a
 persistent, systemwide service and therefore can be used even
 outside the context of a user or X11 session.
 .
 It can handle a wide variety of devices (keyboards, joysticks,
 wiimote, etc.), as long as they are presented by the kernel as
 generic input devices. No kernel patch is required. The daemon is
 a userspace program that polls the /dev/input/event? interfaces
 for incoming key, button and switch events. A single daemon can
 monitor multiple input devices and can dynamically add additional
 ones. Hotkey handlers can be assigned to dedicated (tagged) devices
 or globally.
 .
 For example, this package might be useful on a headless system to
 use input events generated by a remote control to control an
 mpd server, but can also be used to allow the adjustment of audio
 and network status on a notebook without relying on user specific
 configuration.
 .
 Key combinations are supported as well as the hotplugging of devices
 using a udev hotplug script; the running daemon can also be influenced
 by a client program, e.g. to temporarily pause the processing of
 events or switch to a different set of hotkey bindings.
