=== debian/watch ===
version=3
http://githubredir.debian.net/github/wertarbyte/triggerhappy/ release/(.*).tar.gz
