## triggerhappy 0.4.0

=== debian/changelog ===
triggerhappy (0.4.0-1) unstable; urgency=low

  * update to new upstream version 0.4.0 (Closes: #827079, #769184, #652120)
  * use Debian Standard-Version 3.9.8
  * bump compat level to 9
  * update VCS URLs
  * add machine readable debian/copyright file

 -- Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>  Sun, 12 Jun 2016 13:50:32 +0200
