=== debian/watch ===
version=3
https://github.com/wertarbyte/triggerhappy/tags .*/(.*)\.tar\.gz
