## triggerhappy 0.5.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,17 @@
 DESTDIR:=/
 BINDIR:=$(DESTDIR)/$(PREFIX)/sbin/
 MANDIR:=$(DESTDIR)/$(PREFIX)/share/man/man1/
+
+PKGCONFIG = pkg-config
+HAVE_PKGCONFIG = $(shell $(PKGCONFIG) --version 2>/dev/null || echo no)
+ifneq ($(HAVE_PKGCONFIG),no)
+HAVE_SYSTEMD = $(shell $(PKGCONFIG) --exists libsystemd && echo 1 || echo 0)
+ifeq ($(HAVE_SYSTEMD),1)
+CPPFLAGS += -DHAVE_SYSTEMD=1
+CFLAGS += $(shell $(PKGCONFIG) --cflags libsystemd)
+LDLIBS += $(shell $(PKGCONFIG) --libs libsystemd)
+endif
+endif
 
 VERSION:=$(shell cat version.inc)
 
@@ -9,8 +20,6 @@
 THCMD_COMPS := th-cmd cmdsocket
 
 MAKEDEPEND = $(CC) -M -MG $(CPPFLAGS) -o $*.d $<
-
-LINUX_INPUT_H := $(shell echo '\#include <linux/input.h>' | $(CC) $(CPPFLAGS) -M -E - | awk 'NR==1 {print $$2}')
 
 all: thd th-cmd man
 
@@ -27,8 +36,11 @@
 		--release="$(VERSION)" \
 		$< > $@
 
-evtable_%.h: $(LINUX_INPUT_H)
-	awk '/^#define $*_/ && $$2 !~ /_(MAX|CNT|VERSION)$$/ {print "EV_MAP("$$2"),"}' $< > $@
+linux_input_defs_gen.inc:
+	echo "#include <linux/input.h>" | $(CC) $(CPPFLAGS) -dM -E - > $@
+
+evtable_%.inc: linux_input_defs_gen.inc
+	awk '/^#define $*_/ && $$2 !~ /_(MIN_INTERESTING|MAX|CNT|VERSION)$$/ {print "EV_MAP("$$2"),"}' $< > $@
 
 version.h: version.inc
 	sed -r 's!(.*)!#define TH_VERSION "\1"!' $< > $@
@@ -36,7 +48,8 @@
 clean:
 	rm -f *.d
 	rm -f *.o
-	rm -f evtable_*.h
+	rm -f linux_input_defs_gen.inc
+	rm -f evtable_*.inc
 	rm -f version.h
 	rm -f thd th-cmd
 	rm -f thd.1 th-cmd.1
