=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: extra
 Maintainer: Stefan Tomanek <stefan.tomanek+debian@wertarbyte.de>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9), linux-libc-dev, pkg-config, libsystemd-dev, dh-systemd (>= 1.5)
 Standards-Version: 3.9.8
 Homepage: https://github.com/wertarbyte/triggerhappy
 Vcs-Git: https://github.com/wertarbyte/triggerhappy.git
 Vcs-Browser: https://github.com/wertarbyte/triggerhappy
 
 Package: triggerhappy
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsystemd0
 Description: global hotkey daemon for Linux
  Triggerhappy watches connected input devices for certain key presses
  or other input events and runs administrator-configured
